Bug 703846 - Incorrect autofs.schema [NEEDINFO]
Summary: Incorrect autofs.schema
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autofs
Version: 6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: xiaoli feng
Milan Navratil
URL:
Whiteboard:
Depends On:
Blocks: 1383910
TreeView+ depends on / blocked
 
Reported: 2011-05-11 12:53 UTC by Jonathan Underwood
Modified: 2017-03-21 11:46 UTC (History)
3 users (show)

Fixed In Version: autofs-5.0.5-130.el6
Doc Type: Bug Fix
Doc Text:
The _autofs_ package now contains the `README.autofs-schema` file and an updated schema The `samples/autofs.schema` distribution file was out of date and incorrect. As a consequence, it is possible that somebody is using an incorrect LDAP schema. However, a change of the schema in use cannot be enforced. With this update: * The `README.autofs-schema` file has been added to describe the problem and recommend which schema to use, if possible. * The schema included in the _autofs_ package has been updated to `samples/autofs.schema.new`.
Clone Of:
: 1383910 (view as bug list)
Environment:
Last Closed: 2017-03-21 11:46:31 UTC
mnavrati: needinfo? (ikent)


Attachments (Terms of Use)
Patch - update and add README for old autofs schema (2.79 KB, patch)
2016-10-12 07:43 UTC, Ian Kent
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0780 normal SHIPPED_LIVE autofs bug fix update 2017-03-21 12:49:10 UTC

Description Jonathan Underwood 2011-05-11 12:53:39 UTC
Description of problem:
The schema bundled with autofs in RHEL 6.0 suffers from BZ #584808, c+p below:

The autofs.schema file bundled with openldap-servers incorrectly uses OID
1.3.6.1.1.1.1.13 for objectclass automount. Only attributes are meant to appear
under 1.3.6.1.1.1.1 so an objectclass cannot use this range. Also this OID is
already (and correctly) assigned to the attribute memberNisNetgroup.


Version-Release number of selected component (if applicable):
autofs-5.0.5-23.el6_0.1.x86_64

Comment 2 RHEL Product and Program Management 2011-05-12 06:00:47 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Ian Kent 2012-02-03 05:50:21 UTC
(In reply to comment #0)
> Description of problem:
> The schema bundled with autofs in RHEL 6.0 suffers from BZ #584808, c+p below:

So your asking for the schema in the upstream package to be
replaced with the one in bug 584808?

Ian

Comment 10 Jonathan Underwood 2014-07-25 09:35:58 UTC
(In reply to Ian Kent from comment #3)
> (In reply to comment #0)
> > Description of problem:
> > The schema bundled with autofs in RHEL 6.0 suffers from BZ #584808, c+p below:
> 
> So your asking for the schema in the upstream package to be
> replaced with the one in bug 584808?
> 
> Ian

Yes.

Comment 17 Ian Kent 2015-12-01 01:27:14 UTC
(In reply to Steve Whitehouse from comment #16)
> Removing it upstream seems reasonable to me. Doing it in RHEL6 at this stage
> is probably not a good plan, in case it surprises someone, since it has been
> there a long time, no doubt. Perhaps some documentation to explain where the
> newer one(s) can be found would be one way out of this? In that case we
> could change this to a doc bug I think.

Yeah, good point.

I could add a README.autofs.schema to /usr/share/doc/autofs
which basically says don't use this it isn't correct and
specify the recommended schema names.

I believe the rfc3207* schema are readily available in LDAP
servers (even Windows uses rfc2307 in their Unix extensions)
and have been for a long time now so I'm reluctant to include
copies in autofs or anywhere really.

I'm also not sure that people should be encouraged to use
specific schema when they should be included and maintained
within the particular LDAP product.

I'd prefer to say something to that effect in the README above.
If people do have a problem I could provide schema definitions
on request (and say that in the above README).

Ian

Comment 19 Ian Kent 2016-10-12 07:43:44 UTC
Created attachment 1209498 [details]
Patch - update and add README for old autofs schema

Comment 24 Ian Kent 2016-11-30 06:16:35 UTC
Fixed autofs.schema.new not copied to rpm package.

Comment 29 errata-xmlrpc 2017-03-21 11:46:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0780.html


Note You need to log in before you can comment on or make changes to this bug.